<?xml version="1.0"?>
<!DOCTYPE cov SYSTEM "ucdb_fsm.dtd">
  <fsm count="0"  noconst="0"  >
    <ucapi_version  major_ver="13"  minor_ver="1"  patch_str="O-2018.09-SP2"  />
      <fsmdef file="4"  name="uart_ctrl_sysreg"  lib=""  parameterized="1"  >
        <fsmshape >
          <fsmfsm name="state"  id="0"  width="3"  line="76"  chksum="3416069012"  >
            <state name="S_IDLE"  value="parameterized"  id="0"  flag="L"  line="120"  />
            <state name="S_PARSE"  value="parameterized"  id="1"  flag="L"  line="99"  />
            <state name="S_RD_DATA"  value="parameterized"  id="2"  flag="L"  line="115"  />
            <state name="S_REPORT"  value="parameterized"  id="3"  flag="L"  line="93"  />
            <state name="S_RX_CMD_L"  value="parameterized"  id="4"  flag="L"  line="90"  />
            <state name="S_WAIT_RD"  value="parameterized"  id="5"  flag="L"  line="107"  />
            <state name="S_WR_DATA"  value="parameterized"  id="6"  flag="L"  line="110"  />
            <state name="&apos;h0"  value="0"  id="7"  flag="L"  line="76"  />

            <transition fromid="0"  toid="7"  flag="L"  line="76"  />
            <transition fromid="0"  toid="3"  flag="L"  line="93"  />
            <transition fromid="0"  toid="4"  flag="L"  line="90"  />
            
            <transition fromid="1"  toid="7"  flag="L"  line="76"  />
            <transition fromid="1"  toid="5"  flag="L"  line="107"  />
            <transition fromid="1"  toid="6"  flag="L"  line="110"  />
            
            <transition fromid="2"  toid="7"  flag="L"  line="76"  />
            <transition fromid="2"  toid="0"  flag="L"  line="120"  />
            
            <transition fromid="3"  toid="7"  flag="L"  line="76"  />
            <transition fromid="3"  toid="0"  flag="L"  line="139"  />
            
            <transition fromid="4"  toid="7"  flag="L"  line="76"  />
            <transition fromid="4"  toid="1"  flag="L"  line="99"  />
            
            <transition fromid="5"  toid="7"  flag="L"  line="76"  />
            <transition fromid="5"  toid="2"  flag="L"  line="115"  />
            
            <transition fromid="6"  toid="7"  flag="L"  line="76"  />
            <transition fromid="6"  toid="0"  flag="L"  line="132"  />
            
            <transition fromid="7"  toid="0"  flag="L"  line="142"  />
            
          </fsmfsm>
        </fsmshape>
        <fsminst name="TB.u_digital_top.u_uart_ctrl"  />
      </fsmdef>
          <metric_sig chksum="65346B85311F2B356F944DB142EE5F5060E09C14"  />
    </fsm>
